# 【生产环境】
spring:
  # redis 配置
  redis:
    host: r-b3z77876e93097f4.redis.rds.1.ops.sgmc.sgcc.com.cn
    port: 16379
    database: 7
    password: vcx1RTbKBluW7DK
    timeout: 10s
    lettuce:
      pool:
        min-idle: 0
        max-idle: 8
        max-active: 8
        max-wait: -1ms
  # 数据源 配置
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driverClassName: com.mysql.cj.jdbc.Driver
    druid:
      master:
        url: jdbc:mysql://rm-b3zg6n318bg9lj318.mysql.rds.1.ops.sgmc.sgcc.com.cn:13306/cwzjgk?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8&collation=utf8mb4_general_ci
        username: lcfx
        password: Myrds@2021
      slave:
        enabled: false
        url:
        username:
        password:
      initialSize: 5
      minIdle: 10
      maxActive: 20
      maxWait: 60000
      connectTimeout: 30000
      socketTimeout: 60000
      timeBetweenEvictionRunsMillis: 60000
      minEvictableIdleTimeMillis: 300000
      maxEvictableIdleTimeMillis: 900000
      validationQuery: SELECT 1 FROM DUAL
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      webStatFilter:
        enabled: true
      statViewServlet:
        enabled: true
        allow:
        url-pattern: /druid/*
        login-username: admin
        login-password: admin123
      filter:
        stat:
          enabled: true
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: true
        wall:
          config:
            multi-statement-allow: true

# ocr【生产环境】
ai:
  ocr:
    clientId: hunan
    clientSecret: 87FFD244-F428-43C1-8A19-830DB262F248
    username: 13051895824
    password: hunan123456!
    ocrServer: http://20.1.56.52:18080/prod-api
#    ocrServer: http://20.1.57.81:18080/prod-api
    deviceId: abcdefghijklmnopqrstuvwx98
    sm2PublicKey: 04be20d2cd20e5efd2e81e9e646e658898b4cfd2da301e00ec93bb27f2a6fbc36973ae552eaa4ba34ad28429beeb39e30903b5fb39164102d3d2e10c3dc56f4a7d
    sm2PrivateKey: 71cce13c70cf4a0c29a5fae4a27ceb3066610272a07521903f1abf6041ec28c1
    tempPath: C:\hywzqlc\tempPath

msg:
  url: http://25.212.65.175:18888/admin/sysMsg/sendMsg
